%global reponame crash-gcore

Summary: Gcore extension module for the crash utility
Name:    crash-gcore-command
Version: 1.6.4
Release: 5%{?dist}
License: GPLv2
URL:     https://github.com/fujitsu/crash-gcore
Source0: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

Patch0001:   crash-gcore-1.6.4-coredump-fix-building-failure-due-to-undefined-macro.patch
Patch3001:   crash-gcore-command-1.6.4-add-support-for-loongarch64.patch

BuildRequires: crash-devel gcc
Requires: crash
ExclusiveOS: Linux
ExclusiveArch: aarch64 ppc64le x86_64 loongarch64

%description
Command for creating a core dump file of a user-space task that was running in a kernel dump file.

%prep
%autosetup -n %{reponame}-%{version} -p1

%build
%make_build -C src -f gcore.mk

%install
install -Dm 0755 %{_builddir}/%{reponame}-%{version}/src/gcore.so \
    %{buildroot}%{_libdir}/crash/extensions/gcore.so

%files
%license COPYING
%dir %{_libdir}/crash
%dir %{_libdir}/crash/extensions
%{_libdir}/crash/extensions/gcore.so

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.4-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.4-4
- Rebuilt for loongarch release

* Wed Jun 5 2024 Pengda Dou <doupengda@loongson.cn> - 1.6.4-3
- [Type] other
- [DESC] add support for loongarch64

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.4-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Sep 04 2023 Miaojun Dong <zoedong@tencent.com> - 1.6.4-1
- Bump version to 1.6.4

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.3-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 8 2023 Shuo Wang <abushwang@tencent.com> - 1.6.3-1
- initial build
